---
title: DELL Is A Horrible Company And You Should Avoid Them At All Costs
date: 2020-07-23T13:40:05-07:00
tags: ["Electronics"]
---

I really do not want this to be a consumer electronics blog. Such things
aren't interesting to me, and nor do I have much knowledge
about them. However, sometimes, ripples from these areas make their way
into my life, and this is one such instance. Let me tell you
{{< sidenote "right" "source-note" "a story" >}}
I originally wrote about this in
<a href="https://www.dell.com/community/XPS/Ridiculously-Bad-Support-Experience/td-p/7554383">a thread on DELL's support website</a>. Some of this post is
going to be adapted from the support website, but some things have happened
since. You will probably notice the change between the terse language I used
in the original post and the fresh text that I'm writing now.
{{< /sidenote >}} of
my experience with DELL and their XPS 2-in-1 laptop, which has gone on since
around January of 2020, and is still going at the time of writing, in July
2020, half a year later.

I was, until recently, an undergraduate student in Computer Science. I will
soon be starting my Masters in Computer Science, too. I say this to make one
thing clear: I need a computer. Not only is it a necessity for my major,
but the majority of my hobbies -- including this blog -- are digital, too.
Since my university is a couple of hours from my home, I travel back and forth
a lot. I also have a cozy little spot in the
{{< sidenote "right" "offices-note" "graduate student offices" >}}
They're a bunch of cubicles in a keycard-protected room, really. Nothing fancy.
{{< /sidenote >}}at my university, but travel by bus, so I find myself spending
roughly equal portions of my work time at home and 'elsewhere'. A laptop
as my primary machine, I thought, made sense. But it had to be a decent one.
Persuaded by one of my instructors, who stressed the importance of vision and
a decent screen, I settled on a DELL XPS, which at the time came with a 4k
display.

As is commonplace, things went great at first. The screen _was_ really nice,
all of my code compiled swiftly, and even the games I occasionally played ran
at a solid 60fps. I was happy with my purchase.

There was one hiccup before things went really downhill, a sort of
foreshadowing of things to come. My trackpad didn't work at peculiar times.

### Prologue: Trackpad Hiccups
While working, booted into Linux, I noticed that my trackpad was having some
trouble. It was stuttering, and occasionally wouldn't work at all for seconds
at a time. I assumed that this was a problem with the trackpad drivers on
Linux, or perhaps the whole system was freezing up. I rebooted, and the
problem went away.

Until it came back.

A few days later, my trackpad was freezing virtually every minute.
It was strange, but fortunately, I'm used to a keyboard-based workflow, and
the malfunctions did not affect me too much. It was just a little troubling.
What soon made it more troubling, was that I noticed this exact same issue
occurring on Windows. To me, this meant one dreadful thing: it was a hardware
issue.

I poked and prodded for a little bit, and finally discovered the cause:
whenever I put my hand on the left palmrest, the trackpad would reliably stop
working. Knowing what the issue was, I called DELL. I spoke to a guy on the
other end, who had me run through diagnostics, driver updates, and BIOS
settings (I imagined this was procedure, so I didn't mind doing the extra
work to make the other guy's job easier). Finally, he scheduled a repair
appointment. A technician came into my house, took off the laptop cover,
and said something along the lines of:

> Now look. They gave me a whole new motherboard and case to replace yours,
but in my personal opinion, this is a bad idea. Things are bound to break
when you do this. See how the replacement case has an insulating piece
of fabric under the left palmrest, and yours doesn't? Why don't we rip
the fabric off the replacement case, and tape it in place on your machine,
without any reassembly?

This man was wiser than any of the other DELL technicians, I now understand.
The repair went without a hitch. He grilled me for going to college instead of
just picking up a trade, which was cheaper and offered more job security.
In the end, I felt a little weird about having a piece of fabric duct taped
inside my computer, but the trackpad had no more issues ever since. All was
well.

### Service Request 1: Broken D Key
All was well, that is, until the middle of winter term. I was typing up an
assignment for a university class. I was working as usual, when I suddenly
noticed that the "d" key stopped working - it had to be pressed rather weird
to register on the computer. I looked down, and discovered that the key had
snapped in half. The top part of the key fell off shortly thereafter.

{{< figure src="brokenkey.jpg" caption="The broken D key shortly after the above events." >}}

At that point, I was more surprised than anything. I hadn't heard of something
like this ever happening, especially under circumstances as normal as typing.
Regardless, I contacted support, and set up a repair appointment. Things only
went downhill from there.

Again, the appointment was scheduled, and only a few days later, another
technician arrived at my house. The only way to repair the key, he said,
was to replace the whole keyboard. They keyboard happens to be located
underneath all the other hardware, and so, the entire laptop had to be
disassembled and reassembled from scratch. He worked for about an hour, and
eventually, he put the machine together. The words of the previous
technician, who wanted to avoid doing exactly what had just been done, echoed
in my head:

> Things are bound to break when you do this.

I asked him to test it, just to make sure everything works. Sure enough,
not everything did work: the machine no longer had sound!

### Service Request 2: No sound
During diagnostics, the laptop did not emit the "beep" it usually does. This
was the first sign. Booting into Windows, the sound icon was crossed out in
red, and no sound was present. Booting into Linux led to similar results.
The microphone on the machine did not seem to work either. The service
technician said that he didn't have the parts to repair it, told me he'd call
it in, and left. Soon after, I got an email asking for times I'm available to
call: I said "any time except for 1-4 pacific time". DELL support proceeded
to call me at 3pm pacific time, when I had no service. Unable to reach me,
they promptly notified me that they are archiving my service request.

This all occurred near finals week at my university, so I had to put the issue
on hold. I had to maintain my grades, and I had to grade heaps of assignments
from other students. Though the lack of sound was annoying, it wasn't as
pressing as preparing for exams, so it was during spring break that I finally
called again, and scheduled the service appointment. By then,
{{< sidenote "right" "pandemic-note" "the pandemic was in full swing," >}}
Just for posterity, in 2020, there had been an outbreak of COVID-19,
a Coronavirus. Many states in the U.S., including my own, issued
the orders for lockdown and social distancing, which meant the closing
of schools, restaurants, and, apparently, the cessation of in-person
repairs.
{{< /sidenote >}}and DELL told me they'd mail me a box to put my laptop in, and
I'd have to mail it off to their service center. Sure, I thought, that's
fine. If it's at the service center, they won't ever "not have the required
parts". I told the tech support person my address, he read it back to me, and
so it was settled.

Until, that is, the box arrived at the wrong address.

I had received the machine as a gift from my family, who purchased the
computer to arrive at their address. The box arrived at that address too,
despite my explicit instructions to have it deliver to my current residence.
Since my family and I live 2 hours apart, it took 4 total hours to get the box
to me (a drive that couldn't be made right away!), and by the time I had it,
DELL was already threatening me again with closing the service request.
Eventually, I was able to mail the machine off, and about 5 business days
later (business days during which I did not have a working machine, which is
very necessary for my school and job) I received it back. I was excited to
have the machine back, but that didn't last very long. As I was using the
computer with Wolfram Mathematica (a rather heavy piece of software running
under Linux), I noticed that it was discharging even while plugged in. I
booted into Windows, and was greeted with a warning, something along the
lines of: "you are using a slow charger. Please use the official adapter".
But I was using the official adapter! I also tried to plug my mouse into the
relevant USB-C port, only to discover that it did not work. I had to make
another service requests.

### Service Request 3: Broken Charging Port
This time, I made sure to tell the person on the other end of the support
call to please send it to my address. I asked if there was anything I can do,
or anyone I can contact, and was told "no, just mail the computer in again."
I obliged. The box arrived at the right address this time, so I was able to
ship it off.

In the "describe your issue" field on the provided form, I begged the
technicians to send me a working machine. "Please", I wrote "Last time I got
a machine back from support, it was still broken. I really need it for school
and work!". 5 business days later, I received the machine back. I plugged it
in to make sure it worked, only to find out . . . that the very same charging
port that I requested be repaired, is still broken! It would've been funny,
if it wasn't infuriating. How is it possible for me to receive a machine from
repairs, without the thing I asked to repair being as much as improved?!

Worse, a day after I received the machine back (I was able to keep using it
thanks to it having two USB-C ports capable of charging), the LCD suddenly
flashed, and started flickering. Thinking it was a software glitch, I
restarted the machine, only to discover the same flickering during the boot
animation and menu. Not only was the charging port not repaired, but now my
LCD was broken! (in the below picture, the screen is meant to be blue, but
the bottom part of the display is purple and flickering).

{{< figure src="brokenlcd.jpg" caption="The broken LCD." >}}

### Service Request 4: Broken LCD
I called in to support again, and they once again told me to ship the machine 
off. What's worse, they accused me of breaking the port myself, and told me
this was no longer covered under basic warranty. I had to explain all over
again that the port worked fine before the fateful day the D-key snapped. They
told me they'd "look into it". Eventually, I received a box in the mail. I
wasn't told I would be receiving a box, but that wasn't a big deal. I mailed
off the machine.

The UPS shipping was always the most streamlined part of the process. A day
later, I was told my machine was received intact. Another day, and I was
informed that the technicians are starting to work on it. And then,
a few hours later:

> __Current Status:__
> The part(s) needed to repair your system are not currently in stock.
> __What's Next:__
> In most cases the parts are available is less than five days.

A few days is no big deal, and it made sense that DELL wouldn't just
have screens lying around. So I waited. And waited. And waited. Two weeks
later, I got a little tired of waiting, and called the repair center.
An automated message told me:

> We're currently experiencing heavy call volumes. Please try again later. Goodbye.

And the call was dropped. This happened every time I tried to call, no matter
the hour. The original status update -- the one that notified me about the
part shortage -- came on May 8th, but the machine finally arrived to me
(without prior warning) on June 2nd, almost a month later.

The charging port worked. Sound
worked. The screen wasn't flickering. I was happy for the brief moments that
my computer was loading. As soon as I started vim, though, I noticed something
was off: the fonts looked more pixelated. The DPI settings I'd painstakingly
tweaked were wrong. Now that I thought about it, even the GRUB menu was
larger. My suspicion growing, I booted into Windows, and looked at the display
settings. Noticeably fewer resolutions were listed in the drop-down menu;
worse, the highest resolution was 1080p. After almost a month of waiting,
DELL replaced my 4k laptop display with a 1080p one.

### System Replacement: Worse LCD Screen

I admit, I was angry. At the same time, the absurdity of it all was also
unbearable. Was this constant loop of hardware damage, the endless number of
support calls filled with hoarse jazz music, part of some kind of Kafkaesque
dream? I didn't know. I was at the end of my wits as to what to do. As a last
resort, I made [a tweet](https://twitter.com/DanilaTheWalrus/status/1268056637383692289)
from my almost-abandoned account. DELL Support's Twitter
account [quickly responded](https://twitter.com/DellCares/status/1268064691416334344), eager as always to destroy any semblance of
transparency by switching to private messages. I let them know my thoughts on the matter. I wanted a new machine.

{{< figure src="dm_1.png" caption="The first real exchange between me and DELL support." >}}

Of course we can proceed further. I wanted to know what kind of machine I was getting,
though. As long as it was the same model that I originally bought,
{{< sidenote "right" "replacement-note" "it would be better than what I have." >}}
At least in principle, it would be. Perhaps the wear and tear on the replacement
parts would be greater, but at least I would have, presumably, a machine
in good condition that had the 4k screen that made me buy it in the first place.
{{< /sidenote >}}
Despite this, I knew that the machine I was getting was likely refurbished.
This _had_ to mean that some of the parts would come from other, used, machines.
This irked me, because, well, I payed for a new machine.

{{< figure src="dm_2.png" caption="Ah, the classic use of canned responses." >}}

Their use of the canned response, and their unwillingness to answer this simple
question, was transparent. Indeed, the machine would be made of used
parts. I still wanted to proceed. DELL requested that I sent an image of
my machine which included its service tag, together with a piece of
paper which included my name and email address. I obliged, and quickly got a response:

{{< figure src="dm_3.png" caption="If it was me who was silent for 4 days, my request would've long been cancelled. " >}}

Thanks, Kalpana. You will never hear this name again, not in this post.
Only one or two messages from DELL support are ever from the same person.
About a week later, I get the following beauty:

{{< figure src="dm_4.png" caption="Excuse me? What's going on?" >}}

My initial request was cancelled? Why wasn't I told? What was the reason?
What the heck was going on at DELL Support? Should I be worried?
My question of "Why" was answered with the apt response of "Yes",
and a message meant to pacify me. While this was going on, I ordered
a
{{< sidenote "right" "pinebook-note" "Pinebook Pro." >}}
The Pinebook – a $200 machine – has, thus far, worked more reliably than any DELL product
I've had the misfortune of owning.
{{< /sidenote >}} It was not a replacement for the DELL machine, but rather
the first step towards migrating my setup to a stationary computer,
and a small, lightweight SSH device. At this point,
there was no more faith in DELL left in my mind.

Soon, DELL required my attention, only to tell me that they put in
a request to see that status of my request. How bureaucratic. Two
more names -- Kareem and JKC -- flickered through the chats,
also never to be seen again.

{{< figure src="dm_5.png" caption="Not much of a conversation, really." >}}

Finally, on July 9th (a month and six days after my first real message to DELL
support), I was notified by my roommates that FedEx tried to deliver a package
to our house, but gave up when no one came to sign for it. On one hand, this
is great: FedEx didn't just leave my laptop on the porch. On the other hand,
though, this was the first time I heard about receiving the machine. I got
to the house the next day, unpacked the new computer, and tested all the things
that had, at one point, failed. Everything seemed to work. I transfered all my
files, wiped the old computer clean, and mailed it off. I also spent some
time dealing with the fallout of DELL PremierColor starting on its own,
and permanently altering the color profile of my display. I don't have the
special, physical calibration device, and therefore still suspect that my
screen is somewhat green.

Today, I discovered that the microphone of the replacement machine didn't work.

### Am I The Problem?
When the mysterious FedEx package arrived at my door on July 9th, I did some
digging to verify my suspicion that it was from DELL. I discovered their
HQ in Lebanon, TN. This gave me an opportunity to
{{< sidenote "right" "reviews-note" "see" >}}
See, of course, modulo whatever bias arises when only those who feel strongly leave reviews.
{{< /sidenote >}} whether or not I was alone in this situation. I was genuinely
worried that I was suffering from the technical variant of
[Munchausen Syndrome](https://www.webmd.com/mental-health/munchausen-syndrome#1),
and that I was compulsively breaking my electronics. These worries were
dispelled by the reviews on Google:

{{< figure src="reviews_1.png" caption="Most of the reviews are pretty terse, but the ratings convey the general idea." >}}

There were even some that were shockingly similar in terms of the apparent
incompetence of the DELL technicians:

{{< figure src="reviews_2.png" caption="Now, now, Maggie, I wouldn't go as far as recommending Apple." >}}

So, this is not uncommon. This is how DELL deals with customers now. It's
awfully tiring, really; I've been in and out of repairs continuously for
almost half a year, now. That's 2.5% of my life at the time of writing,
all non-stop since the D-key. And these people probably have spent considerable
amounts of time, too.

### It's About the Principle
The microphone on my machine is rather inconsequential to me. I can, and regularly do,
teleconference from my phone (a habit that I developed thanks to DELL, since
my computer was so often unavailable). I don't need to dictate anything. Most
of my communication is via chat.

Really, compared to the other issues (keyboard, sound, charging, USB ports, the broken or low-resolution screen)
the microphone is a benign problem. As I have now learned, things could be worse.

But why should the thought, _"It could be worse"_, even cross my mind
when dealing with such a matter? Virtually every issue that has
occurred with my computer thus far could -- should! -- have been diagnosed
at the repair center. The 'slow charger' warning shows up in BIOS,
so just turning the computer on while plugged in should make it obvious something
is wrong; doubly so when the very reason that the laptop was in repairs
in the first place was because of the faulty charger. I refuse to believe
that screens with different resolutions have the same part identifier,
either. How have the standards of service from DELL fallen so low?
How come this absurd scenario plays out not just for me, but
for others as well? It would be comforting, in a way, to think
that I was just the 'exceptional case'. But apparently, I'm not.
This is standard practice.

### Tl;DR
Here are he problems I've had with DELL:

* The machine shipped, apparently, with a missing piece of insulation.
* The "D" key on the keyboard snapped after only a few months of use.
* While repairing the "D" key, the DELL technician broke the computer's sound and microphone.
* While repairing the sound and microphone, the DELL technicians broke a charging port.
* The DELL technicians failed to repair the charging port, mailing me back a machine
exhibiting the same issues, in addition to a broken LCD screen.
* The repair of the LCD screen took almost a month, and concluded
with me receiving a worse quality screen than I originally had.
* The system replacement that followed the botched LCD repair took
over a month to go through.
* The replaced system was made partially of used parts, which
DELL refused to admit.
* The microphone on the replacement system was broken.

### Closing Thoughts
I will not be sending my system in again. It doesn't make sense to do so -
after mailing my system in for repairs three times, I've measured empirically that
the chance of failure is 100%. Every service request is a lottery, dutifully
giving out a random prize of another broken part. I no longer wish to play;
as any person who gambles should, I will quit while I'm ahead, and cut my losses.
However, I hope for this story, which may be unusual in its level of detail,
but not its content, to be seen by seen by someone. I hope to prevent
someone out there from feeling the frustration, and anger, and peculiar amusement
that I felt during this process. I hope for someone else to purchase a computer
with money, and not with their sanity. A guy can hope.

If you're reading this, please take this as a warning. __DELL is a horrible
company. They have the lowest standards of customer support of any
U.S. company that I've encountered. Their technicians are largely incompetent.
Their quality assurance is non-existent. Stay away from them.__
